<?php
/**
 *
 * @package Luzuk Premium
 */

if(get_theme_mod('blog_area_disable') != 'on' ){ ?>
	<?php 
	 	if( get_theme_mod('blog_areaTpadding',true) ) {
	 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
	 	}
	 	if( get_theme_mod('blog_areaBpadding',true) ) {
	 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
	 	}
 	?>
<div class="blog-area" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>""<?php echo esc_attr($blog_areaBpadding); ?>" >
	<?php		
			//$blog_subtitle = get_theme_mod('blog_subtitle', 'RECENT POST');
 			$blog_title = get_theme_mod('blog_title', 'Latest Blog');
 	?>
	<div class="container">
		<div class="wow zoomIn" data-wow-duration="1s">
			<div class="justify-content-center">
			<?php if($blog_title ){ ?>
			  	<div class="section-title">
			   		<h2><?php echo ($blog_title);  ?></h2> 
		        
		      	</div>
		    <?php }?>
			</div>
	
	      	
			<!-- <div class="row"> -->
				<div class="blog-area-wrap">
					<div class="blog-posts">
					<?php 
						$blog_post_count = get_theme_mod('blog_post_count', 3);
						$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
						$blog_cat_exclude = explode(',', $blog_cat_exclude);
						$args = array(
						'posts_per_page' => absint($blog_post_count),
						'category__not_in' => $blog_cat_exclude
					);
					$query = new WP_Query($args);
					if($query -> have_posts()):
						while($query -> have_posts()) : $query -> the_post();
								$luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
							?>
							<?php 
								if(has_post_thumbnail()){
									$img = esc_url($luzuk_image[0]);
								}
								if(empty($luzuk_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
							?>
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="blog-post ">
							<div class="box-area-S">	
								<div class="blog-thumbnail  pd-0">
									<a href="<?php the_permalink(); ?>"><img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
									</a>
				             </div>
									<div class="clearfix"></div>
								</div>
								 <div class="blog-d">
				                    <li class="blog-date">
				                      	<?php echo get_the_date( ' F j,y' ); ?>
				                    </li>
				                </div>
								<div class="blog-single">
									<?php 
										$blog_page_id = get_theme_mod('blog_page');	
										$blog_inn_image = get_theme_mod('blog_inn_image');
									?>
										<div class="blog-single-img">
												<!-- <li class="blog-author col-md-6 pd-1">
		                        <i class="fa fa-user" aria-hidden="true"></i> <span> <?php echo get_the_author(); ?></span>
		                    </li>	 -->
		                   
		                    <div class="clearfix"></div>
											<a href="<?php the_permalink(); ?>">
													<h4 class="inner-area-title"><?php the_title(); ?></h4>
											</a>										
											<div class="section-area-text">
													<?php 
														if(has_excerpt()){
															echo get_the_excerpt();
														}else{
															echo luzuk_excerpt( get_the_content() , 120 );
														}
														?>
											</div>
													<?php
                        
                        $blog_button = get_theme_mod('blog_button', 'READ MORE');
                    ?>
                      <?php if($blog_button ){ ?> 
                      <div class="btn5">
                          <a href="<?php the_permalink(); ?>"> 
                            	<?php echo $blog_button ?>
                          </a>
                      </div>
                     <?php }?>
									</div>
									<div class="clearfix"></div>
							</div>
							<div class="clearfix"></div>
							<!-- </div> -->
					</div>
				</div>
							<?php
						endwhile;
					endif;
					wp_reset_postdata();
					?>
					</div>
					<div class="clearfix"></div>
				</div>	
			<!-- </div> -->
		</div>
	</div>
	<div class="clearfix"></div>
</div>
<script>
  jQuery.noConflict();
  $(function(){
    function blogpostHeight(){
      var ht = 0;
      $('.blog-area .blog-post').each(function(i){
        var tHt = $(this).height();
        if(ht<tHt){
          ht=tHt;
        }
      });
      $('.blog-area .blog-post').height(ht+'px');
    }
    blogpostHeight();
  });
  $( window ).resize(function(){
    blogpostHeight();
  });
</script>
<?php }